package com.lukouguoji.module_base.base

import androidx.lifecycle.ViewModel
import com.lukouguoji.module_base.interfaces.IGetData
import com.lukouguoji.module_base.interfaces.IOnItemClickListener
import com.lukouguoji.module_base.model.PageModel

abstract class BasePageViewModel : BaseViewModel(), IGetData,IOnItemClickListener {


    val pageModel = PageModel()

    fun refresh() {
        pageModel.refresh()
        getData()
    }

    fun loadMore() {
        pageModel.loadMore()
        getData()
    }

    override fun onItemClick(position: Int, type: Int) {

    }
}